NetPacket::IPX(3pm)

NAME
NetPacket::IPX - Assemble and disassemble IPX packets

VERSION
version 1.8.0

SYNOPSIS
  use NetPacket::IPX;

  my $ipx = NetPacket::IPX->decode($raw_pkt);

  my $raw_pkt = $ipx->encode();

  my $ipx = NetPacket::IPX->new(
          tc   => 0,
          type => 1,

          dest_network => "00:00:00:01",
          dest_node    => "FF:FF:FF:FF:FF:FF",
          dest_socket  => 1234,

          src_network => "00:00:00:01",
          src_node    => "12:34:56:78:90:AB",
          src_socket  => 5678,

          data => "...",
  );

DESCRIPTION
"NetPacket::IPX" is a "NetPacket" class for encoding and decoding IPX packets.

METHODS

  decode($raw_pkt)
Decode a packet and return a "NetPacket::IPX" instance.

  encode()
Return the encoded form of a "NetPacket::IPX" instance.

  new(%options)
Construct a "NetPacket::IPX" instance with arbitrary contents. All arguments listed in the SYNOPSIS are mandatory.

Throws an exception on missing/invalid arguments.

INSTANCE DATA
The following fields are available in a "NetPacket::IPX" instance:

tc  Traffic Control field, the number of routers an IPX packet has passed through.

type
    Type field.

dest_network
    Destination network number, in the format "XX:XX:XX:XX".

dest_node
    Destination node number, in the format "XX:XX:XX:XX:XX:XX".

dest_socket
    Destination socket number.

src_network
    Source network number, in the format "XX:XX:XX:XX".

dest_node
    Source node number, in the format "XX:XX:XX:XX:XX:XX".

dest_socket
    Source socket number.

data
    Packet payload.

COPYRIGHT
Copyright (C) 2014 Daniel Collins

This module is free software. You can redistribute it and/or modify it under the same terms as Perl itself.

AUTHOR
Daniel Collins <solemnwarning@solemnwarning.net>